package sae.android.sae_2a.VM

import androidx.compose.runtime.mutableStateListOf
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import kotlinx.coroutines.launch
import sae.android.sae_2a.data.Vocabulary

class VocabularyViewModel : ViewModel() {
    private val _vocabulary = mutableStateListOf<Vocabulary>()
    val vocabulary: List<Vocabulary> get() = _vocabulary

    init {
        loadVocabulary()
    }

    private fun loadVocabulary() {
        viewModelScope.launch {
            _vocabulary.add(Vocabulary("test","Auteur", hashMapOf("Fromage" to "Cheese", "Pomme" to "Apple")))
        }
    }

    fun addVocabulary(vocabulary: Vocabulary){
        _vocabulary.add(vocabulary)
    }
}