package sae.android.sae_2a.view

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.layout.wrapContentWidth
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material3.Button
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.modifier.modifierLocalConsumer
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.input.PasswordVisualTransformation
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import sae.android.sae_2a.R
import sae.android.sae_2a.VM.LoginViewModel
import sae.android.sae_2a.data.LoginRepository
import sae.android.sae_2a.data.LoginResponseParser

@Preview
@Composable
fun profileScreen() {

    Column( modifier = Modifier
        .background(Color(157, 134, 146))
        .wrapContentWidth(align = Alignment.Start)) {
        Image(
            painter = painterResource(id = R.drawable.noprofilepicture),
            contentDescription = "Description de l'image",
            modifier = Modifier
                .wrapContentWidth(align = Alignment.CenterHorizontally)
                .width(800.dp)
                .padding(top = 40.dp, bottom = 10.dp)
                .size(width = 200.dp, height = 200.dp)
        )

        Text(text = stringResource(id = R.string.profilePicture), color = Color.Black, fontSize = 30.sp, fontWeight = FontWeight(1000) , modifier = Modifier
            .padding(bottom = 15.dp)
            .wrapContentHeight(align = Alignment.Top)
            .wrapContentWidth(align = Alignment.CenterHorizontally)
            .align(alignment = Alignment.CenterHorizontally)
        )

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)) {
            Row(
                modifier = Modifier
                    .padding(15.dp)
                    .fillMaxWidth(),
                horizontalArrangement = Arrangement.Start,
                verticalAlignment = Alignment.CenterVertically
            ) {
                Image(
                    painter = painterResource(id = R.drawable.home),
                    contentDescription = "home",
                    modifier = Modifier.size(60.dp)
                )
                Text(
                    text = stringResource(id = R.string.home),
                    fontSize = 20.sp,
                    textAlign = TextAlign.Center,
                    modifier = Modifier
                        .fillMaxWidth()
                        .padding(end = 55.dp)
                )
            }
        }


        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)) {
            Row(
                modifier = Modifier
                    .padding(15.dp)
                    .fillMaxWidth(),
                horizontalArrangement = Arrangement.Start,
                verticalAlignment = Alignment.CenterVertically
            ) {
                Image(
                    painter = painterResource(id = R.drawable.infoaccount),
                    contentDescription = "home",
                    modifier = Modifier.size(60.dp)
                )
                Text(
                    text = stringResource(id = R.string.accountDetails),
                    fontSize = 20.sp,
                    textAlign = TextAlign.Center,
                    modifier = Modifier
                        .fillMaxWidth()
                        .padding(end = 55.dp)
                )
            }
        }

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)) {
            Row(
                modifier = Modifier
                    .padding(15.dp)
                    .fillMaxWidth(),
                horizontalArrangement = Arrangement.Start,
                verticalAlignment = Alignment.CenterVertically
            ) {
                Image(
                    painter = painterResource(id = R.drawable.password),
                    contentDescription = "home",
                    modifier = Modifier.size(60.dp)
                )
                Text(
                    text = stringResource(id = R.string.changepswd),
                    fontSize = 20.sp,
                    textAlign = TextAlign.Center,
                    modifier = Modifier
                        .fillMaxWidth()
                        .padding(end = 55.dp)
                )
            }
        }

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)) {
            Row(
                modifier = Modifier
                    .padding(15.dp)
                    .fillMaxWidth(),
                horizontalArrangement = Arrangement.Start,
                verticalAlignment = Alignment.CenterVertically
            ) {
                Image(
                    painter = painterResource(id = R.drawable.logout),
                    contentDescription = "home",
                    modifier = Modifier.size(60.dp)
                )
                Text(
                    text = stringResource(id = R.string.logOut),
                    fontSize = 20.sp,
                    textAlign = TextAlign.Center,
                    modifier = Modifier
                        .fillMaxWidth()
                        .padding(end = 55.dp)
                )
            }
        }

    }
}